<template>
  <layout-default>
    <div class="w-1/5 mr-6">
      <card-name v-if="$route.path === '/profile'"></card-name>
    </div>
    <div class="w-1/3 ml-6">
      <div v-if="$route.path != '/profile'">
        <router-view></router-view>
      </div>
      <div v-else>
        <h2
          class="lg:text-gray-text lg:text-lg font-semibold absolute lg:static inset-x-0 z-40 mb-4 pt-2"
        >
          Profil Anda
        </h2>
        <!-- <h4 class="block mb-4">Profil Anda</h4> -->
        <ul class="bg-white rounded-large shadow-lg p-4">
          <li
            v-for="(menu, index) in listMenu"
            :key="index"
            class="text-gray-text px-2 py-3 border-b border-b-1 border-whitesmoke"
          >
            <router-link class="flex items-center" :to="menu.target">
              <div class="w-6 flex items-center justify-center mr-5">
                <i class="text-base" :class="`icon-${menu.icon}`"></i>
              </div>

              <span class="text-sm font-apercu">{{ menu.title }}</span>
              <i class="icon-keyboard-arrow-right text-2xl ml-auto"></i>
            </router-link>
          </li>

          <li
            class="text-gray-text px-2 py-3 border-b border-b-1 border-whitesmoke"
          >
            <div
              class="flex items-center lg:text-red cursor-pointer"
              @click="confirmLogoutPopup = true"
            >
              <div class="w-6 flex items-center justify-center mr-5">
                <i class="icon-power-settings text-base"></i>
              </div>
              <span class="text-sm font-apercu">Logout</span>
              <i class="icon-keyboard-arrow-right text-2xl ml-auto"></i>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </layout-default>

  <modal :show="confirmLogoutPopup">
    <div
      class="p-8 flex flex-col items-center justify-center"
      style="width:300px"
    >
      <div
        class="text-2xl text-center font-semibold leading-tight text-gray-title break-words"
      >
        Anda yakin ingin
        <br />log out?
      </div>
      <div class="p-5">
        <img
          src="./assets/images/power-settings.svg"
          alt="logout icon"
          width="90"
        />
      </div>
      <div class="flex flex-col w-full">
        <button
          class="mb-3 uppercase flex items-center justify-center py-3 px-4 text-center text-white bg-primary-blue hover:bg-primary-blue-darker rounded shadow-light font-bold rounded-full w-full "
          @click="confirmLogout"
        >
          YA, SAYA YAKIN
        </button>
        <button
          class="uppercase flex items-center justify-center py-3 px-4 text-center text-primary-blue bg-transparent hover:bg-whitesmoke rounded font-bold rounded-full w-full "
          @click="confirmLogoutPopup = false"
        >
          KEMBALI
        </button>
      </div>
    </div>
  </modal>
</template>

<script>
import { defineAsyncComponent } from "vue";

const CardName = defineAsyncComponent(() => import("./components/CardName"));

import { FETCH_PROFILE, FETCH_LOGOUT } from "@/modules/profile/store";

export default {
  components: {
    CardName,
  },

  data() {
    return {
      listMenu: [
        {
          icon: "lock-outline",
          title: "Password Settings",
          target: "/profile/change-password",
        },
        {
          icon: "help-outline",
          title: "Help",
          target: "/profile/help",
        },
      ],
      confirmLogoutPopup: false,
    };
  },

  created() {
    this.fetchProfile();
  },

  methods: {
    fetchProfile() {
      this.$store.dispatch(FETCH_PROFILE);
    },

    confirmLogout() {
      this.$store.dispatch(FETCH_LOGOUT);
    },
  },
};
</script>
